Third-party Plugins

From Gramps
Revision as of 06:28, 16 April 2009 by Dsblank (Talk | contribs) (Information for Plugin writers)

Jump to: navigation, search

Third-party plugins give you more tools to work with your genealogy data in GRAMPS. This page lists plugins written by users to work with the 3.1.x series version of GRAMPS, released in March 2009.

Plugins for the previous version: 3.0.x Third-party Plugins page.

Gnome-important.png
Please Note:

These plugins may not be officially part of GRAMPS. Feature requests and bugs with these plugins should be directed to the contact information below.

Installing Plugins in GRAMPS

To install a GRAMPS Plugin:

  1. click on the download link below
  2. if the download is a file that ends in .py, save it in your GRAMPS User Directory, in the plugins folder
  3. if the download is a file that ends in .zip or .gz, save the contents of the file in your GRAMPS User Directory, in the plugins folder
  4. restart gramps, OR reload the plugins from the Help -> Plugin Status -> Reload button.

The Plugin Status window will show you which plugins failed to load, double click on such an entry shows you the error. You can mail this error to the plugin contact.

Plugin List

See Plugin List Legend for details of columns.

  1. REDIRECT Plugins4.1

See Writing a Plugin for information on developing your own plugin.